# from http://logging.apache.org/log4j/1.2/manual.html
# -Dlog4j.configuration=conf/connectXDetailedLogging.properties
# -Dlog4j.configuration=file:conf/connectXDetailedLogging.properties

# TRACE
# DEBUG
# INFO
# WARN
# ERROR
# FATAL

log4j.rootLogger=TRACE, LOGFILE, stdout

log4j.logger.cardgames=TRACE
log4j.logger.de.root1=WARN
log4j.logger.org.apache=WARN

log4j.appender.stdout.Threshold=FATAL
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
# Pattern to output the caller's file name and line number.
log4j.appender.stdout.layout.ConversionPattern=%5p [%t] (%F:%L) - %m%n

log4j.appender.LOGFILE=org.apache.log4j.RollingFileAppender
log4j.appender.LOGFILE.File=cardgames.log
log4j.appender.LOGFILE.Append=false
log4j.appender.LOGFILE.MaxFileSize=5000KB
log4j.appender.LOGFILE.MaxBackupIndex=10
log4j.appender.LOGFILE.layout=org.apache.log4j.PatternLayout
# log4j.appender.LOGFILE.layout.ConversionPattern=%p %t %c - %m%n
log4j.appender.LOGFILE.layout.ConversionPattern=%5p [%t] (%F:%L) - %m%n
